# eric7.EricWidgets.EricStringListEditWidget

Module implementing a dialog to edit a list of strings.

### Global Attributes

None

### Classes

EricStringListEditWidget | Class implementing a dialog to edit a list of strings.

### Functions

None

## EricStringListEditWidget

Class implementing a dialog to edit a list of strings.

### Signals

setToDefault()
  emitted to request the default list of values

### Derived from

QWidget, Ui_EricStringListEditWidget

### Class Attributes

None

### Class Methods

None

### Methods

EricStringListEditWidget | Constructor
getList | Public method to get the edited list of strings.
on_addButton_clicked | Private slot to add an entry to the list.
setAddVisible | Public method to show or hide the add button.
setDefaultVisible | Public method to show or hide the default button.
setList | Public method to set the list of strings to be edited.
setListWhatsThis | Public method to set a what's that help text for the string list.

### Static Methods

None

#### EricStringListEditWidget (Constructor)

EricStringListEditWidget(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EricStringListEditWidget.getList

getList()

Public method to get the edited list of strings.

Return:
  edited list of string (list of string)

#### EricStringListEditWidget.on_addButton_clicked

on_addButton_clicked()

Private slot to add an entry to the list.

#### EricStringListEditWidget.setAddVisible

setAddVisible(visible)

Public method to show or hide the add button.

visible (bool)
  flag indicating the visibility of the add button

#### EricStringListEditWidget.setDefaultVisible

setDefaultVisible(visible)

Public method to show or hide the default button.

visible (bool)
  flag indicating the visibility of the default button

#### EricStringListEditWidget.setList

setList(stringList)

Public method to set the list of strings to be edited.

stringList
  list of strings to be edited (list of string)

#### EricStringListEditWidget.setListWhatsThis

setListWhatsThis(txt)

Public method to set a what's that help text for the string list.

txt
  help text to be set (string)

Up